/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Slide Styles (NOT theme - just doing the important job)
 */

.slide-parent {
    display: flex;
    align-items: center;
    justify-content: center;
}

.slide {
    // 16:9 ratio box
    width: 640px;
    height: 360px;

    // Many of the styles make us a flexbox, so be flex-aware
    flex-shrink: 0;
    overflow: hidden;

    color: inherit;
    position: relative;

    p {
        margin-bottom: 0;
    }
}

.slide-vertical-middle {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.slide-vertical-bottom {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.slide-template {
    background: black;
    font-size: 0.3em;

    &.checked {
        background: _palette(bg);
    }
}
.template-block {
    $stripe1: white;
    $stripe2: transparent;
    $base: 7px;

    border: ($base/2) solid $stripe1;

    background: repeating-linear-gradient(
        45deg,
        $stripe1,
        $stripe1 $base,
        $stripe2 $base,
        $stripe2 ($base * 2)
    );

    &.n1 {
        background: repeating-linear-gradient(
            -45deg,
            $stripe1,
            $stripe1 $base,
            $stripe2 $base,
            $stripe2 ($base * 2)
        );
    }
} 

.slide-bg-image {
    background-color: #607d8b;  /* no-image grey */
    background-size: cover;
    background-position: 50% 50%;

    position: relative;
}

.SlideLogo {
    position: absolute;
    bottom: 0;
    right: 0;

    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.SlideLogo__attr,
.SlideLogo__shovel {
    color: white;
    font-weight: bold;
    font-size: 0.5em;
}

.SlideLogo__attr {
    line-height: 1.5;
    opacity: 0.25;
    transition: opacity _duration(transition) ease-in-out;
}
.SlideLogo__attr:hover {
    opacity: 1;
}

.SlideLogo__shovel {
    line-height: 1;
    border-bottom: none;
}
.SlideLogo__shovel__next {
    transform: translateX(-100%);
    opacity: 0;
    transition: opacity   _duration(transition) ease-in-out,
                transform _duration(transition) ease-in-out;
}
.SlideLogo__shovel:hover .SlideLogo__shovel__next {
    transform: none;
    opacity: 1;
}

.SlideLogo__shovel__title {
    font-family: _font(family-heading);
    font-weight: _font(weight-heading-bold);
    text-transform: uppercase;

    font-size: 2.5em;
}

.slide-thumb {
    .slide-bg-attr {
        display: none;
    }
}

.blockview-chooser {
    button {
        color: white;
    }
}
.blockview-toolbar {
    z-index: 100;
}
.blockview-image {
    display: flex;
    justify-content: center;
    align-items: center;

    button.settings {
        position: absolute;
        top: 0;
        right: 0;
        display: block;
    }
}


.headingblock__preview {
    width: initial;
    height: initial;

    border-radius: _size(border-radius);
    border: 1px solid _palette(border-bg);
    margin: 0.2em;
    padding-left: 0.2em;
}
.headingblock__preview:hover {
    border: 1px solid _palette(border);
}
.headingblock__preview--selected {
    background: _palette(bg);
}
